﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWPF
{
    public class ViewModel : ViewModelBase
    {
        private ViewDefinitionBase activeViewDefinition;

        public ViewModel()
        {
            this.Appointments = new ObservableCollection<Appointment>();
        }

        public ObservableCollection<Appointment> Appointments { set; get; }        

        /// <summary>
        /// Gets or sets ActiveViewDefinition and notifies for changes
        /// </summary>
        public ViewDefinitionBase ActiveViewDefinition
        {
            get
            {
                return this.activeViewDefinition;
            }

            set
            {
                if (this.activeViewDefinition != value)
                {
                    this.activeViewDefinition = value;
                    this.OnPropertyChanged(() => this.ActiveViewDefinition);
                }
            }
        }
    }
}
